﻿<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <title></title>
    <link rel="stylesheet" href="../css/interface.css" />
    <link rel="stylesheet" href="../css/lib/wenk.css" />

    <script src="../js/angular.min.js" type="text/javascript"></script>
    <script src="../js/angular/app.js" type="text/javascript"></script>
    <script src="../js/angular/controllers/interface.js" type="text/javascript"></script>
</head>
<body ng-app="oversight" ng-controller="interfaceController">
    <div class="interface-bottom-panel" ng-show="currentInterface == 'player'">
        <div class="interface-bottom-panel_user-stats">
            <div class="interface-bottom_info">
                <span class="interface-bottom_username">{{username}}</span>
                <span class="interface-bottom-money">
                    <span class="interface-bottom-money_wallet-icon"></span>$324,832
                </span>
            </div>
        </div>
        <ul class="interface-bottom-panel_icons-list">
            <li class="icon-user" data-wenk="Игрок" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">E</span>
            </li>
            <li class="icon-card" data-wenk="Банковский счет" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">B</span>
            </li>
            <li class="icon-car" data-wenk="Автомобили" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">T</span>
            </li>
            <li class="icon-home" data-wenk="Дома" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">H</span>
            </li>
            <li class="icon-bag" data-wenk="Инвентарь" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">I</span>
            </li>
            <li class="icon-friends" data-wenk="Друзья" data-wenk-pos="top">
                <span class="interface-bottom-panel_hotkey-icon">J</span>
            </li>
        </ul>
        <div class="interface-bottom-panel-wrapper">
            <div class="interface-bottom-panel_bar-wrapper">
                <span><i class="interface-bottom_pizza-icon"></i>Голод</span>
                <div class="interface-bottom-panel_hunger-points">
                    <div class="interface-bottom-panel_hunger-points-bar" style="width: {{ hunger }}%"></div>
                </div>
            </div>
            <div class="interface-bottom-panel_bar-wrapper">
                <span><i class="interface-bottom_water-icon"></i>Жажда</span>
                <div class="interface-bottom-panel_thirst-points">
                    <div class="interface-bottom-panel_thirst-points-bar" style="width: {{ thirst }}%"></div>
                </div>
            </div>
        </div>
    </div>

    <div class="interface-bottom-vehicle-data-info">

    </div>

    <div class="interface-bottom-vehicle-panel" ng-show="currentInterface == 'vehicle'">
        <div class="interface-bottom-vehicle-info">
            <div class="interface-bottom-vehicle_model-name">
                <span>{{currentVehicleModelName}}</span>
                <span class="interface-bottom-vehicle_model-class">
                    {{currentVehicleModelClass}}
                </span>
            </div>
            <div class="interface-bottom-mileage">
                <span class="interface-bottom-mileage_number" ng-repeat="i in [0,1,2,3,4,5,6,7]">{{getMileage(i)}}</span>
                <span class="interface-bottom-mileage_number">KM</span>
            </div>
        </div>

        <div class="interface-speedometer">
            <span class="interface-speedometer_speed">{{currentVehicleSpeed}} KM\H</span>
            <div class="interface-speedometer_bar" ng-style="{width: (currentVehicleSpeed / currentVehicleMaxSpeed * 100) + '%'};">
            </div>
        </div>

        <div class="interface-vehicle-fuel_wrapper">
            <i class="vehicle-light-icon icon-gas-off"
               ng-class="{
                'icon-gas-on': currentVehicleEngineState == 'ignition' || currentVehicleFuelPercent < 20,
                'icon-gas-starting': currentVehicleEngineState == 'starting',
                'icon-gas-idle': currentVehicleEngineState == 'on'
               }"></i>
            <div class="interface-vehicle-fuel">
                <div class="interface-vehicle-fuel_bar" ng-class="{'bar-green': currentVehicleFuelPercent >= 40, 'bar-yellow': currentVehicleFuelPercent >= 20 && currentVehicleFuelPercent <= 40, 'bar-red': currentVehicleFuelPercent <= 19}" ng-style="{width: currentVehicleFuelPercent + '%'}"></div>
            </div>
        </div>

        <div class="interface-vehicle-lights">
            <i class="vehicle-light-icon icon-engine-off"
               ng-class="{
                'icon-engine-on': currentVehicleEngineState == 'ignition' || currentVehicleEngineState == 'after_ignition',
                'icon-engine-starting': currentVehicleEngineState == 'starting'
               }"></i>
            <i class="vehicle-light-icon icon-oil-off"
               ng-class="{
                'icon-oil-on': currentVehicleEngineState == 'ignition'
               ,}"></i>
            <i class="vehicle-light-icon icon-battery-off"
               ng-class="{
                'icon-battery-on': currentVehicleEngineState == 'ignition' || currentVehicleEngineState == 'after_ignition',
                'icon-battery-starting': currentVehicleEngineState == 'starting'
               }"></i>
            <i class="vehicle-light-icon icon-cooliant-off"
               ng-class="{
                'icon-cooliant-on': currentVehicleEngineState == 'ignition'
               }"></i>
        </div>
    </div>
</body>
</html>